import { AbstractMermaidTokenBuilder as n, __name as r, MermaidGeneratedSharedModule as i, PacketGeneratedModule as u, CommonValueConverter as d } from "./chunk-FPAJGGOC.js";
import { EmptyFileSystem as l } from "../../../../../../../langium@3.3.1/node_modules/langium/lib/workspace/file-system-provider.js";
import { inject as o } from "../../../../../../../langium@3.3.1/node_modules/langium/lib/dependency-injection.js";
import { createDefaultSharedCoreModule as s, createDefaultCoreModule as m } from "../../../../../../../langium@3.3.1/node_modules/langium/lib/default-module.js";
var e, k = (e = class extends n {
  constructor() {
    super(["packet"]);
  }
}, r(e, "PacketTokenBuilder"), e), p = {
  parser: {
    TokenBuilder: /* @__PURE__ */ r(() => new k(), "TokenBuilder"),
    ValueConverter: /* @__PURE__ */ r(() => new d(), "ValueConverter")
  }
};
function v(c = l) {
  const t = o(
    s(c),
    i
  ), a = o(
    m({ shared: t }),
    u,
    p
  );
  return t.ServiceRegistry.register(a), { shared: t, Packet: a };
}
r(v, "createPacketServices");
export {
  p as PacketModule,
  v as createPacketServices
};
